# This script should be called from /etc/rc.local and run with Python 3
import time
from pathlib import Path
from subprocess import call


def waitForDongle():
	dongle = Path("/dev/ttyACM0")
	while not dongle.exists():
		#print ('- No dongle found ')
		time.sleep(4)


# wait until a dongle is connected before starting Java
waitForDongle()

#turn HDMI and WiFi off to reduce energy consumption, ignoring any errors
try:
	call(['sudo tvservice -o'], shell=True)
	call(['sudo rfkill block wifi'], shell=True)
except Exception:
	pass

try:
	# start the logging program
	with open("/home/pi/Documents/stdout.txt",'w+') as f:
		call(['cd ~/Documents; java -Djava.awt.headless=true -Djava.library.path=/home/pi/Documents:. -cp /usr/share/java/RXTXcomm.jar:. -jar /home/pi/Documents/PiLogger.jar'], shell=True, stdout=f)
except Exception:
	pass

finally:
	#turn HDMI and WiFi back on
	call(['sudo rfkill unblock wifi'], shell=True)
	call(['sudo tvservice -p'], shell=True)
	
	# Start the script that shuts down the Pi (or whatever else you want done after logging)
	call(['python /home/pi/Documents/logging_done.py'], shell=True)
